summaryrefslogtreecommitdiffstats
path: root/network/uget-integrator
diff options
context:
space:
mode:
author Fernando Lopez Jr <fernando.lopezjr@gmail.com>2020-02-08 02:43:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-02-08 02:43:21 +0700
commita7a8bc902d11626f3b2beed904a24b421bb9d7ca (patch)
tree15b7335f8a6dae382fca4169b5ea27397fe4544f /network/uget-integrator
parent6660cdcc4ca0c6634bc4a242ab8b7eecf85f461e (diff)
downloadslackbuilds-a7a8bc902d11626f3b2beed904a24b421bb9d7ca.tar.gz
slackbuilds-a7a8bc902d11626f3b2beed904a24b421bb9d7ca.tar.xz
network/uget-integrator: Added (download manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/uget-integrator')
-rw-r--r--network/uget-integrator/README13
-rw-r--r--network/uget-integrator/slack-desc19
-rw-r--r--network/uget-integrator/uget-integrator.SlackBuild102
-rw-r--r--network/uget-integrator/uget-integrator.info10
4 files changed, 144 insertions, 0 deletions
diff --git a/network/uget-integrator/README b/network/uget-integrator/README
new file mode 100644
index 0000000000..020cffc26f
--- /dev/null
+++ b/network/uget-integrator/README
@@ -0,0 +1,13 @@
+Integrate the famous FOSS uGet Download Manager with Google Chrome in Linux systems.
+With this tool, uGet can interrupt and catch your downloads from Google Chrome.
+
+after you install uget-integrator you must install your browsers extension:
+
+for chrome/chromium/vivaldi:
+https://chrome.google.com/webstore/detail/uget-integration/efjgjleilhflffpbnkaofpmdnajdpepi
+
+for firefox:
+https://addons.mozilla.org/en-US/firefox/addon/ugetintegration/
+
+for opera:
+https://addons.opera.com/en/extensions/details/uget-integration
diff --git a/network/uget-integrator/slack-desc b/network/uget-integrator/slack-desc
new file mode 100644
index 0000000000..f88ce4b926
--- /dev/null
+++ b/network/uget-integrator/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+uget-integrator: uget-integrator (download manager)
+uget-integrator:
+uget-integrator: Integrate uGet Download Manager with Google Chrome, Chromium,
+uget-integrator: Vivaldi, Opera and Firefox
+uget-integrator:
+uget-integrator:
+uget-integrator:
+uget-integrator: Homepage: https://github.com/ugetdm/uget-integrator/
+uget-integrator:
+uget-integrator:
+uget-integrator:
diff --git a/network/uget-integrator/uget-integrator.SlackBuild b/network/uget-integrator/uget-integrator.SlackBuild
new file mode 100644
index 0000000000..9f3746442c
--- /dev/null
+++ b/network/uget-integrator/uget-integrator.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for uget-integrator
+
+# Copyright 2020 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=uget-integrator
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p "$PKG/usr/bin"
+
+# reference: https://developer.chrome.com/apps/nativeMessaging
+# Chromium
+install -Dm775 bin/uget-integrator "$PKG"/usr/bin
+mkdir -p "$PKG/etc/chromium/native-messaging-hosts"
+install -Dm775 conf/com.ugetdm.chrome.json "$PKG"/etc/chromium/native-messaging-hosts/
+
+# Chrome
+#mkdir -p "$PKG/etc/opt/chrome/native-messaging-hosts/"
+#install -Dm775 bin/uget-integrator "$PKG"/usr/bin
+#install -Dm775 conf/com.ugetdm.chrome.json "$PKG"/etc/opt/chrome/native-messaging-hosts/
+
+# Firefox
+#mkdir -p "$PKG/usr/lib${LIBDIRSUFFIX}/mozilla/native-messaging-hosts"
+#install -Dm775 bin/uget-integrator "$PKG"/usr/bin
+#install -Dm775 conf/com.ugetdm.firefox.json "$PKG"/usr/lib${LIBDIRSUFFIX}/mozilla/native-messaging-hosts
+
+# Opera
+# - work in progress -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md changelog copyright $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/uget-integrator/uget-integrator.info b/network/uget-integrator/uget-integrator.info
new file mode 100644
index 0000000000..ad584b4e30
--- /dev/null
+++ b/network/uget-integrator/uget-integrator.info
@@ -0,0 +1,10 @@
+PRGNAM="uget-integrator"
+VERSION="1.0.0"
+HOMEPAGE="https://github.com/ugetdm/uget-integrator/"
+DOWNLOAD="https://github.com/ugetdm/uget-integrator/archive/v1.0.0/uget-integrator-1.0.0.tar.gz"
+MD5SUM="fc08f3efd2c60c730ae02b45c26123c8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="uget python3"
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"